January Upgrade denial problem

Discussion in 'iPod touch' started by 01jamcon, Feb 8, 2008.

  1. 01jamcon macrumors 6502a

    01jamcon

    Joined:
    Jul 24, 2006
    Location:
    London
    #1
    Ok, I've hacked and jailbroken my 1.1.3 touch and everything's working fine. The only problem is that when i connect it to iTunes, iTunes will start up fine as normal, but it will always automatically go to the software upgrade page. It has 3 options of 'yes', 'remind me later' or 'no thanks'. I have tried repeatedly for the past few weeks to select 'no thanks', but it always says "The iTunes Store could not process your request, please try again later". I have never been able to select 'no', or 'remind me later' because they both come up with the same message, the only button that works is 'yes'.

    Has anyone else found they have this problem? (I live in the UK, so I'm not sure if its the store, but I could definitely buy the upgrade.) And if so have they found a way around it?

    This is only a problem because it stops my iPod from auto-syncing, so if I want to quickly sync, but I forget that the page comes up, it never does it until I've selected an option and its failed, before it goes to the normal syncing page and I manually press sync.

    Is this Apple's way of getting at us cheepskates who didn't cough up for the apps that should've been included with the damn thing in the first place?
     
  2. arcterex macrumors newbie

    Joined:
    Feb 8, 2008
    #2
  3. cjd82187 macrumors member

    Joined:
    Oct 19, 2007
    #3
    To get the apps to sync through iTunes, you need to use the official Dev Team method (1.1.1 > jailbreak > oktoprep > 1.1.2 > jailbreak > 1.1.3 dev team upgrade through installer). This is the only method I know of that does not break DRM which you need to put the apps on your touch so that iTunes acknowledges that the apps are on your touch. This will let iTunes sync them and allow you to do things like sync your mailboxes too. This is the method I used and it works great, just note that iTunes 7.6 breaks Oktoprep and you need 7.5 to get to 1.1.2. Check in the hack subforum for more info.
     

Share This Page